{
  "weight": 7,
  "wall_palette": {
    "default": [
      { "block": "minecraft:ice", "weight": 0.10 },
      { "block": "minecraft:blue_ice", "weight": 0.20 },
      { "block": "minecraft:packed_ice", "weight": 0.70 }
    ]
  },
  "floor_palette": {
    "default": [
      { "block": "minecraft:snow_block", "weight": 0.20 },
      { "block": "minecraft:packed_ice", "weight": 0.80 }
    ],
    "edge": [
      { "block": "minecraft:blue_ice", "weight": 1.0 }
    ]
  },
  "ceiling_palette": {
    "default": [
      { "block": "minecraft:blue_ice", "weight": 0.20 },
      { "block": "minecraft:packed_ice", "weight": 0.80 }
    ]
  },
  "wall_shell": "minecraft:packed_ice",
  "wall_accent": "minecraft:blue_ice",
  "pillar_palette": {
    "default": [
      { "block": "minecraft:packed_ice", "weight": 0.50 },
      { "block": "minecraft:blue_ice", "weight": 0.50 }
    ],
    "cap": [
      { "block": "minecraft:blue_ice", "weight": 1.0 }
    ]
  },
  "scatter_palette": {
    "default": [
      { "block": "minecraft:snow[layers=1]", "weight": 0.50, "random_property": { "name": "layers", "min": 1, "max": 2 } },
      { "block": "minecraft:powder_snow", "weight": 0.20 },
      { "block": "minecraft:ice", "weight": 0.30 }
    ]
  },
  "decorations": {
    "corner_decorations": [
      { "block": "minecraft:snow[layers=3]", "y_offset": 1 },
      { "block": "minecraft:ice", "y_offset": 10 }
    ],
    "wall_midpoint_blocks": [
      { "block": "minecraft:lantern", "y_offset": 3 }
    ],
    "furniture_cluster": [
      { "block": "minecraft:powder_snow_cauldron[level=3]", "y_offset": 1 },
      { "block": "minecraft:blue_ice", "x_offset": 1, "y_offset": 1 },
      { "block": "minecraft:lantern", "y_offset": 2, "z_offset": 1 }
    ],
    "use_torch_lighting": false,
    "has_ceiling_chain": false
  }
}
